Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 7041 - linuxconf core dumps due to long lins in /etc/hosts
Summary: linuxconf core dumps due to long lins in /etc/hosts
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: linuxconf
Version: 6.1
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Michael K. Johnson
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-11-16 12:56 UTC by Klaus Franken
Modified: 2008-05-01 15:37 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-12-15 21:01:51 UTC


Attachments (Terms of Use)

Description Klaus Franken 1999-11-16 12:56:34 UTC
I have an entry in /etc/hosts wirth many aliases. The Line is more than
320 chars. Linuxconf core dumps after reading /etc/hosts.
If the line is shorter (less than ca. 320 chars) everything is ok.

Comment 1 jack 1999-11-23 22:21:59 UTC
Ok, I found the problem. This will be fixed in linuxconf 1.16r8.1. Note that
the user interface can't handle line that long for editing. Input are especially
limited (because of the web interface) to some arbitrary values. But I have
tested that if you edit any other line, the file is properly written back. If
you edit that specific record, it will be truncated.

I don't know how to include patch in this tool (bugzilla). I can send you
a patch if you need. Basically, a snprintf instead of sprintf at line
464 of the file netconf/hosts.cc. Very old code btw (1994).

Comment 2 Dale Lovelace 1999-12-03 19:48:59 UTC
Have verified linuxconf-1.16r10 allows long lines in /etc/hosts. This will be
relased as errata when testing is complete.

Comment 3 Michael K. Johnson 1999-12-15 21:01:59 UTC
1.16r10-2 released


Note You need to log in before you can comment on or make changes to this bug.